#!/usr/bin/perl
#    Original VB script: 
#    Copyright (C) 2009 Ian Richardson, Murray Thomson
#    CREST (Centre for Renewable Energy Systems Technology),
#    Department of Electronic and Electrical Engineering
#    Loughborough University, Leicestershire LE11 3TU, UK
#    Tel. +44 1509 635326. Email address: I.W.Richardson2@lboro.ac.uk

#    Perl implementation:
#    Copyright (C) 2010 Gergely Acs <acs@crysys.hu>

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.

package Bulbs;
use strict;
use accessors qw( );
use vars qw($VERSION);
$VERSION = '0.01';

my @data;

sub new 
{
	my $package = shift;
	@data = ();
	return bless({}, $package);
}

sub GetData
{
	shift;

	my ($house) = @_;

	return @{$data[$house]};
}

sub LoadFromFile
{
	shift;

	die("Unable to open $_[0]!\n") unless open (IN, $_[0]);

	while (<IN>)
	{
		my @item = split /[,\n]/;

		@{$data[$item[0]]} = @item[ 1 .. scalar(@item)-1 ];
	}
	
	close IN;
}



1;
