#!/usr/bin/perl
#    Original VB script: 
#    Copyright (C) 2009 Ian Richardson, Murray Thomson
#    CREST (Centre for Renewable Energy Systems Technology),
#    Department of Electronic and Electrical Engineering
#    Loughborough University, Leicestershire LE11 3TU, UK
#    Tel. +44 1509 635326. Email address: I.W.Richardson2@lboro.ac.uk

#    Perl implementation:
#    Copyright (C) 2010 Gergely Acs <acs@crysys.hu>

#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


package OccStates;
use strict;
use accessors qw( );
use vars qw($VERSION);
$VERSION = '0.01';

my @trans_probs_we;
my @trans_probs_wd;

sub new 
{
	my $package = shift;
	@trans_probs_we = ();
	@trans_probs_wd = ();
	return bless({}, $package);
}

sub GetProb
{
	shift;

	my ($time, $occupants, $state, $isWeekend) = @_;

	return $isWeekend ? $trans_probs_we[$time * 7 + $occupants][$state] : 
		$trans_probs_wd[$time * 7 + $occupants][$state]; 
}

sub LoadFromFile
{
	shift;

	my ($file) = @_;

	$file =~ /tpm(\d+)\_(\w+)\.csv/;

	my $wd = $2 eq "wd";

	die("Unable to open $file!") unless open (IN, $file);
	my $i = 0;

	while (<IN>)
	{
		my @item = split /[,\n]/;

		if ($wd)
		{
			@{$trans_probs_wd[$i]} = @item[2 .. scalar(@item)-1]; 
		}
		else
		{
			@{$trans_probs_we[$i]} = @item[2 .. scalar(@item)-1]; 
		}
		$i++;
	}
	
	close IN;
}



1;
