#!/usr/bin/perl
use Statistics::PointEstimation;
use Math::GSL::Randist qw/:all/; 
use Math::GSL::RNG qw/:all/; 
use POSIX qw/ceil/;

die ("No parameters given!") unless @ARGV == 3;

sub get_files
{
	my (@files);
	my $dir = $_[0];

	die ("Unable to open directory $dir") unless opendir(SIMDIR, $dir); 

	@files = readdir(SIMDIR);

	my @file_list;
	my $prefix = $_[1];
	foreach (@files)
	{
		push(@file_list, $_) if /\d+-all_power.csv$/; 
	}

	return @file_list;
}

@files = get_files($ARGV[0]);

my $unit = $ARGV[2];
my $units_num = 1440 / $unit; 

die ("Unable to open output input file!\n") unless open (OUT, '>' . $ARGV[1]);

my @slots = (1..$units_num); 
$" = ",";
print OUT "User,@slots\n"; 

foreach $file (sort @files)
{
	$file =~ /(\d+).*/;
	$user = $1;
	my ($i, $sum) = (0, 0);
	my @aggs;
	die ("Unable to open input file!\n") unless open (IN, $ARGV[0]. "/" . $file);
	while (<IN>)
	{
		my ($time, $value) = split /[,\n]/;
		my $cons_per_min = $value / 60;

		$sum += $cons_per_min;
		if ($i % $unit == 0)
		{
			push (@aggs, $sum);
			$sum = 0;
		}
		$i++;
	}
	print OUT "$user,@aggs\n";
	close IN;
	print "$file processed.\n";
}
close OUT;


